/*!-------------------------------------------------------------------------------------------------
 - #%L                                                                                            -
 - chvote-common-theme                                                                            -
 - %%                                                                                             -
 - Copyright (C) 2016 - 2018 République et Canton de Genève                                       -
 - %%                                                                                             -
 - This program is free software: you can redistribute it and/or modify                           -
 - it under the terms of the GNU Affero General Public License as published by                    -
 - the Free Software Foundation, either version 3 of the License, or                              -
 - (at your option) any later version.                                                            -
 -                                                                                                -
 - This program is distributed in the hope that it will be useful,                                -
 - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
 - GNU General Public License for more details.                                                   -
 -                                                                                                -
 - You should have received a copy of the GNU Affero General Public License                       -
 - along with this program. If not, see <http://www.gnu.org/licenses/>.                           -
 - #L%                                                                                            -
 -------------------------------------------------------------------------------------------------*/

@import '~@angular/material/theming';
@import 'startup-screen';
@import 'material/button';
@import 'material/input';
@import 'material/card';
@import 'material/grid';
@import 'material/dialog';

@mixin chvote-theme($theme) {

  $primary: map-get($theme, primary);

  .chvote-root {
    display: flex;
    flex-flow: column;
    height: 100vh;
  }

  [hidden] {
    display: none !important;
  }

  h1 {
    font-size: 2.4rem;
    font-weight: normal;
  }

  h2 {
    font-size: 2rem;
    font-weight: normal;
  }

  h3 {
    font-size: 1.8rem;
    font-weight: normal;
  }

  .subtitle {
    font-size: 1.4rem;
    font-weight: normal;
  }

  .chvote-content {
    width: 124rem;
    margin: auto;
    padding: 2rem;
  }

  td-navigation-drawer .mat-toolbar {
    background-color: mat-color($primary, lighter);
  }

  @include chvote-startup-screen-style($theme);
  @include chvote-button-style($theme);
  @include chvote-input-style($theme);
  @include chvote-card-style($theme);
  @include chvote-grid-style($theme);
  @include chvote-dialog-style($theme);

  html {
    font-size: 62.5%; // base size is 10px
  }

}






